Mac 下的 npm、nrm 和 nvm

npm

npm 全称 Node package manager,是 Node 默认的包管理器,我们可以通过 npm 发布、安装和卸载依赖包;

常用命令:

npm install     # 安装模块
npm uninstall   # 卸载模块
npm update      # 更新模块
npm ls          # 查看安装的模块
npm init        # 在项目中引导创建一个 package.json 文件
npm config      # 管理npm的配置路径
npm publish     # 发布模块
npm version     # 查看模块版本
npm help        # 查看某条命令的详细帮助
npm root        # 查看包的安装路径

nrm

nrmnpm源管理器,它能便捷地切换不同的源来安装依赖包,主要解决了以下问题:

  • 平时我们使用 npm 安装依赖包的时候,由于国内的网络访问外网太慢,导致下载速度特别慢;
  • 有些公司内部会搭建一套 npm 私有仓库,这个时候就可以使用 nrm 对内部的 npm源 进行管理;

安装

sudo npm install -g nrm

常用命令

nrm ls                      # 列出可用的源
nrm use           # 选择源
nrm test npm                # 测试速度
nrm add      # 添加源
nrm del           # 删除对应的源

nvm

nvmNode版本管理器,目的是为了解决开发中由于 Node 版本不同而出现的各种问题,方便切换各种版本的 Node

删除 node 相关模块

如果之前在官网下载并安装了 Node ,最好先将 Node全局Node模块 先删除,方法如下:

# 查看已安装的全局模块,以便删除这些全局模块后再按不同 node 版本重新进行全局安装
npm ls -g --depth=0
# 删除全局 node_modules 目录
sudo rm -rf /usr/local/lib/node_modules 
# 删除 node
sudo rm /usr/local/bin/node
# 删除全局 node 模块注册的软链
cd /usr/local/bin && ls -l | grep "../lib/node_modules/" | awk '{print $9}'| xargs rm 

安装

友情提示:安装前最好看下 官网的最新版本,下列方法二选一:
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.0/install.sh | bash

wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.0/install.sh | bash

配置环境变量

配置文件可能是 .profile.bashrc.zshrc.bash_profile 其中一个,因此依次使用下边几条语句判断其是否存在:

cat ~/.profile
cat ~/.bashrc
cat ~/.zshrc
cat ~/.bash_profile
友情提示:若存在,则从以下第三步开始执行,但是文件名是 .profile.bashrc.zshrc.bash_profile 已经判断存在的那个文件。

若都不存在,就执行以下步骤:

# 1. 创建 .bash_profile 文件
touch ~/.bash_profile
# 2. 打开 .bash_profile 文件
open ~/.bash_profile
# 3. 往 .bash_profile 文件中写入以下内容
export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" # This loads nvm
# 4. 回到命令行,进行环境变量的配置
source ~/.bash_profile

常用命令

nvm --version               # 查看 nvm 版本
nvm list                    # 查看已经安装的 nodejs 版本
nvm alias default  # 指定默认 nodejs 版本
nvm install        # 下载指定版本 nodejs
nvm use            # 使用指定版本
nvm current                 # 当前使用版本
nvm ls-remote               # 查看远程所有可用的版本
友情提示:使用 nvm install 命令安装某个 node 版本时,如果遇到以下错误,则需要为 github 添加 SSH 来解决:
curl: (56) LibreSSL SSL_read: SSL_ERROR_SYSCALL, errno 54

参考链接

正确的安装和使用nvm

使用 nvm 管理不同版本的 node 与 npm

你可能感兴趣的